#!/usr/bin/make -f

export QT_SELECT=5

%:
	dh $@

override_dh_auto_configure:
	lrelease Sachesi.pro
	dh_auto_configure -- CONFIG+='shared_lzo2 shared_quazip' QMAKE_CXXFLAGS=-fpermissive INCLUDEPATH=/usr/include/wolfssl DEFINES+="WOLFSSL_SHA512 NO_OLD_SHA_NAMES OPENSSL_EXTRA"

override_dh_auto_install:
	install -D -m 0755 Sachesi debian/sachesi/usr/bin/sachesi
	dh_auto_install
